* set your own default directory
* using FILE -> CHANGE WORKING DIRECTORY
* then browse to the folder you wish to use

use data_for_chapter_1.dta, clear
set more off

****************************
******** CHAPTER 1 *********
****************************

*for Table 1.1
regress z_read  male  pos

predict res, res
anova res region
drop res

*for Table 1.2
tabstat z_read, by(region) stat(me sd)

*for Table 1.3
ta region

*for Table 1.4
regress z_read i.region male  pos

*for Table 1.5
regress z_read male pos if region==3601
regress z_read male pos if region==3602
regress z_read male pos if region==3603
regress z_read male pos if region==3604
regress z_read male pos if region==3605
regress z_read male pos if region==3606
regress z_read male pos if region==3607
regress z_read male pos if region==3608

*for Table 1.6
regress z_read i.male##region c.pos##region


